Skip to main content
POST
Connect a platform account

Path Parameters

platform
string
required

Body

application/json

Use connectionMethod for the platform-specific connection flow. The legacy dashboard fields (login_method, two_factor_secret, extension, cookies, and userAgent) remain accepted for backwards compatibility.

connectionMethod
enum<string>
Available options:
credentials,
credentials_2fa,
extension,
browser_session,
app_password,
embedded_signup
username
string
password
string
write-only
country
string
twoFactorSecret
string
write-only
extension
boolean
cookies
object[]
profile
object
localStorage
object
sessionStorage
object
userAgent
string
browserId
string
proxyId
number
browser_session_version
enum<string>
Available options:
2,
legacy
auth_method
string
provider
string
phone_number
string
phone_number_id
string
waba_id
string
business_id
string
trackingPreference
enum<string>
Available options:
all_conversations,
campaign_only

Response

Browser session captured; the account was created or updated and validation was queued.

data
object
required